Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.t3
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.t3.Statement
            |
            +--weblogic.jdbc.t3.Statement

public class Statement
extends weblogic.jdbcbase.t3.Statement
implements java.sql.Statement, weblogic.jdbc.common.internal.Msg

This class contains WebLogic extensions to JDBC. Only the extensions are documented here.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.t3.Statement
`conn, getparams, getparamsretrieved, lastparam, paramcount, prepstmt, resultset, stmtargs`

Constructor Summary
`Statement()`
`Statement(java.lang.String sql)`

Method Summary
`void` | `fetchSize(int size)` This method is added so that T3 clients can access this function in the OCI driver.

Methods inherited from class weblogic.jdbcbase.t3.Statement
`addGet, blobChunkSize, cancel, checkIfClosed, clearGets, clearParameters, clearWarnings, close, copyGets, execute, execute, executeClassName, executeQuery, executeQuery, executeRequest, executeRequest, executeUpdate, executeUpdate, executeWriteText, executeWriteText, executeWriteText, executeWriteText, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getResultSet, getShort, getString, getTextTimestamp, getTime, getTimestamp, getUpdateCount, getWarnings, internal_connection, isCachingGets, isCachingSets, parse, preservingSetObject, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCountOfParamMarkers, setCursorName, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setParamName, setQueryTimeout, setSerializable, setSerializable, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement(java.lang.String sql)

### Statement

    public Statement()

Method Detail

### fetchSize

    public void fetchSize(int size)
                   throws java.sql.SQLException

  This method is added so that T3 clients can access this function in the OCI driver. jdbc.oci.Statement.fetchSize(int size) is being made public so that customers may tune the size of prefetch array used for Oracle row results. Oracle provides the means to do data prefetch in batches. This economizes on network traffic and latency for row requests. The default batch size is 100. Memory for 100 rows is allocated in the native stack for every query. For queries with fewer needed rows, this size can be profitably set to a more appro- priate size. This saves on the swappable image size of the application, and will benefit performance if only as many rows as needed are fetched.

  Overrides:
    fetchSize in class weblogic.jdbcbase.t3.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD